\documentclass[]{article}
\usepackage{lmodern}
\usepackage{amssymb,amsmath}
\usepackage{ifxetex,ifluatex}
\usepackage{fixltx2e} % provides \textsubscript
\ifnum 0\ifxetex 1\fi\ifluatex 1\fi=0 % if pdftex
  \usepackage[T1]{fontenc}
  \usepackage[utf8]{inputenc}
\else % if luatex or xelatex
  \ifxetex
    \usepackage{mathspec}
  \else
    \usepackage{fontspec}
  \fi
  \defaultfontfeatures{Ligatures=TeX,Scale=MatchLowercase}
\fi
% use upquote if available, for straight quotes in verbatim environments
\IfFileExists{upquote.sty}{\usepackage{upquote}}{}
% use microtype if available
\IfFileExists{microtype.sty}{%
\usepackage{microtype}
\UseMicrotypeSet[protrusion]{basicmath} % disable protrusion for tt fonts
}{}
\usepackage[margin=1in]{geometry}
\usepackage{hyperref}
\hypersetup{unicode=true,
            pdftitle={Fraud Detection in R},
            pdfauthor={Pietro Termine},
            pdfborder={0 0 0},
            breaklinks=true}
\urlstyle{same}  % don't use monospace font for urls
\usepackage{color}
\usepackage{fancyvrb}
\newcommand{\VerbBar}{|}
\newcommand{\VERB}{\Verb[commandchars=\\\{\}]}
\DefineVerbatimEnvironment{Highlighting}{Verbatim}{commandchars=\\\{\}}
% Add ',fontsize=\small' for more characters per line
\usepackage{framed}
\definecolor{shadecolor}{RGB}{248,248,248}
\newenvironment{Shaded}{\begin{snugshade}}{\end{snugshade}}
\newcommand{\AlertTok}[1]{\textcolor[rgb]{0.94,0.16,0.16}{#1}}
\newcommand{\AnnotationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\AttributeTok}[1]{\textcolor[rgb]{0.77,0.63,0.00}{#1}}
\newcommand{\BaseNTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\BuiltInTok}[1]{#1}
\newcommand{\CharTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\CommentTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textit{#1}}}
\newcommand{\CommentVarTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\ConstantTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\ControlFlowTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{\textbf{#1}}}
\newcommand{\DataTypeTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{#1}}
\newcommand{\DecValTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\DocumentationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\ErrorTok}[1]{\textcolor[rgb]{0.64,0.00,0.00}{\textbf{#1}}}
\newcommand{\ExtensionTok}[1]{#1}
\newcommand{\FloatTok}[1]{\textcolor[rgb]{0.00,0.00,0.81}{#1}}
\newcommand{\FunctionTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\ImportTok}[1]{#1}
\newcommand{\InformationTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\newcommand{\KeywordTok}[1]{\textcolor[rgb]{0.13,0.29,0.53}{\textbf{#1}}}
\newcommand{\NormalTok}[1]{#1}
\newcommand{\OperatorTok}[1]{\textcolor[rgb]{0.81,0.36,0.00}{\textbf{#1}}}
\newcommand{\OtherTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{#1}}
\newcommand{\PreprocessorTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textit{#1}}}
\newcommand{\RegionMarkerTok}[1]{#1}
\newcommand{\SpecialCharTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\SpecialStringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\StringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\VariableTok}[1]{\textcolor[rgb]{0.00,0.00,0.00}{#1}}
\newcommand{\VerbatimStringTok}[1]{\textcolor[rgb]{0.31,0.60,0.02}{#1}}
\newcommand{\WarningTok}[1]{\textcolor[rgb]{0.56,0.35,0.01}{\textbf{\textit{#1}}}}
\usepackage{graphicx}
% grffile has become a legacy package: https://ctan.org/pkg/grffile
\IfFileExists{grffile.sty}{%
\usepackage{grffile}
}{}
\makeatletter
\def\maxwidth{\ifdim\Gin@nat@width>\linewidth\linewidth\else\Gin@nat@width\fi}
\def\maxheight{\ifdim\Gin@nat@height>\textheight\textheight\else\Gin@nat@height\fi}
\makeatother
% Scale images if necessary, so that they will not overflow the page
% margins by default, and it is still possible to overwrite the defaults
% using explicit options in \includegraphics[width, height, ...]{}
\setkeys{Gin}{width=\maxwidth,height=\maxheight,keepaspectratio}
\IfFileExists{parskip.sty}{%
\usepackage{parskip}
}{% else
\setlength{\parindent}{0pt}
\setlength{\parskip}{6pt plus 2pt minus 1pt}
}
\setlength{\emergencystretch}{3em}  % prevent overfull lines
\providecommand{\tightlist}{%
  \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}
\setcounter{secnumdepth}{0}
% Redefines (sub)paragraphs to behave more like sections
\ifx\paragraph\undefined\else
\let\oldparagraph\paragraph
\renewcommand{\paragraph}[1]{\oldparagraph{#1}\mbox{}}
\fi
\ifx\subparagraph\undefined\else
\let\oldsubparagraph\subparagraph
\renewcommand{\subparagraph}[1]{\oldsubparagraph{#1}\mbox{}}
\fi

%%% Use protect on footnotes to avoid problems with footnotes in titles
\let\rmarkdownfootnote\footnote%
\def\footnote{\protect\rmarkdownfootnote}

%%% Change title format to be more compact
\usepackage{titling}

% Create subtitle command for use in maketitle
\providecommand{\subtitle}[1]{
  \posttitle{
    \begin{center}\large#1\end{center}
    }
}

\setlength{\droptitle}{-2em}

  \title{Fraud Detection in R}
    \pretitle{\vspace{\droptitle}\centering\huge}
  \posttitle{\par}
    \author{Pietro Termine}
    \preauthor{\centering\large\emph}
  \postauthor{\par}
      \predate{\centering\large\emph}
  \postdate{\par}
    \date{10/18/2019}


\begin{document}
\maketitle

\hypertarget{r-markdown}{%
\subsection{R Markdown}\label{r-markdown}}

Use table() on the column fraud\_flag, then check determine the fraction
of legitimate and fraudulent cases in the dataset using prop.table() on
the obtained result. Store the result in a variable called
class\_distribution.

\begin{Shaded}
\begin{Highlighting}[]
\CommentTok{# Print the first 6 rows of the dataset}
\KeywordTok{head}\NormalTok{(transfers)}

\CommentTok{# Display the structure of the dataset}
\KeywordTok{str}\NormalTok{(transfers)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 'data.frame':    222 obs. of  16 variables:
##  $ fraud_flag              : Factor w/ 2 levels "0","1": 1 1 1 1 1 1 1 1 1 1 ...
##  $ transfer_id             : Factor w/ 785 levels "xtr402538","xtr517350",..: 414 415 416 417 418 419 420 421 422 423 ...
##  $ timestamp               : num  9 9 9.01 11.34 15.1 ...
##  $ orig_account_id         : Factor w/ 4 levels "X51735094","X64608297",..: 3 3 3 3 3 3 3 3 3 3 ...
##  $ benef_account_id        : Factor w/ 301 levels "X71039384","X82542502",..: 38 168 161 169 15 161 170 163 171 172 ...
##  $ benef_country           : Factor w/ 4 levels "ISO03","ISO02",..: 1 1 1 1 1 1 1 1 1 1 ...
##  $ channel_cd              : Factor w/ 7 levels "CH07","CH05",..: 6 6 6 6 6 6 6 6 6 6 ...
##  $ authentication_cd       : Factor w/ 5 levels "AU02","AU04",..: 1 1 1 1 1 1 1 1 1 3 ...
##  $ communication_cd        : Factor w/ 3 levels "COM02","COM03",..: 1 1 1 3 1 1 1 3 3 3 ...
##  $ empty_communication_flag: Factor w/ 2 levels "0","1": 1 1 1 1 1 1 1 1 1 1 ...
##  $ orig_balance_before     : num  1711 1523 1521 2260 1567 ...
##  $ amount                  : num  240 12 49 30 87 49 281 78 33 75 ...
##  $ freq_channel            : num  0 1 2 3 4 5 6 7 8 9 ...
##  $ freq_auth               : num  0 1 2 3 4 5 6 7 8 0 ...
##  $ rec_channel             : num  0 1 1 0.888 0.825 ...
##  $ rec_auth                : num  0 1 1 0.888 0.825 ...
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\CommentTok{# Determine fraction of legitimate and fraudulent cases}
\NormalTok{class_distribution <-}\StringTok{ }\KeywordTok{prop.table}\NormalTok{(}\KeywordTok{table}\NormalTok{(transfers}\OperatorTok{$}\NormalTok{fraud_flag))}
\KeywordTok{print}\NormalTok{(class_distribution)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
##          0          1 
## 0.98198198 0.01801802
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\KeywordTok{str}\NormalTok{(transfers)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 'data.frame':    222 obs. of  16 variables:
##  $ fraud_flag              : Factor w/ 2 levels "0","1": 1 1 1 1 1 1 1 1 1 1 ...
##  $ transfer_id             : Factor w/ 785 levels "xtr402538","xtr517350",..: 414 415 416 417 418 419 420 421 422 423 ...
##  $ timestamp               : num  9 9 9.01 11.34 15.1 ...
##  $ orig_account_id         : Factor w/ 4 levels "X51735094","X64608297",..: 3 3 3 3 3 3 3 3 3 3 ...
##  $ benef_account_id        : Factor w/ 301 levels "X71039384","X82542502",..: 38 168 161 169 15 161 170 163 171 172 ...
##  $ benef_country           : Factor w/ 4 levels "ISO03","ISO02",..: 1 1 1 1 1 1 1 1 1 1 ...
##  $ channel_cd              : Factor w/ 7 levels "CH07","CH05",..: 6 6 6 6 6 6 6 6 6 6 ...
##  $ authentication_cd       : Factor w/ 5 levels "AU02","AU04",..: 1 1 1 1 1 1 1 1 1 3 ...
##  $ communication_cd        : Factor w/ 3 levels "COM02","COM03",..: 1 1 1 3 1 1 1 3 3 3 ...
##  $ empty_communication_flag: Factor w/ 2 levels "0","1": 1 1 1 1 1 1 1 1 1 1 ...
##  $ orig_balance_before     : num  1711 1523 1521 2260 1567 ...
##  $ amount                  : num  240 12 49 30 87 49 281 78 33 75 ...
##  $ freq_channel            : num  0 1 2 3 4 5 6 7 8 9 ...
##  $ freq_auth               : num  0 1 2 3 4 5 6 7 8 0 ...
##  $ rec_channel             : num  0 1 1 0.888 0.825 ...
##  $ rec_auth                : num  0 1 1 0.888 0.825 ...
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\CommentTok{# Determine fraction of legitimate and fraudulent cases}
\NormalTok{class_distribution <-}\StringTok{ }\KeywordTok{prop.table}\NormalTok{(}\KeywordTok{table}\NormalTok{(transfers}\OperatorTok{$}\NormalTok{fraud_flag))}
\KeywordTok{print}\NormalTok{(class_distribution)}
\end{Highlighting}
\end{Shaded}

\begin{verbatim}
## 
##          0          1 
## 0.98198198 0.01801802
\end{verbatim}

\begin{Shaded}
\begin{Highlighting}[]
\CommentTok{# Make pie chart of column fraud_flag}
\NormalTok{df <-}\StringTok{ }\KeywordTok{data.frame}\NormalTok{(}\DataTypeTok{class =} \KeywordTok{c}\NormalTok{(}\StringTok{"no fraud"}\NormalTok{, }\StringTok{"fraud"}\NormalTok{), }
                 \DataTypeTok{pct =} \KeywordTok{as.numeric}\NormalTok{(class_distribution)) }\OperatorTok{%>%}
\StringTok{  }\KeywordTok{mutate}\NormalTok{(}\DataTypeTok{class =} \KeywordTok{factor}\NormalTok{(class, }\DataTypeTok{levels =} \KeywordTok{c}\NormalTok{(}\StringTok{"no fraud"}\NormalTok{, }\StringTok{"fraud"}\NormalTok{)),}
         \DataTypeTok{cumulative =} \KeywordTok{cumsum}\NormalTok{(pct), }\DataTypeTok{midpoint =}\NormalTok{ cumulative }\OperatorTok{-}\StringTok{ }\NormalTok{pct }\OperatorTok{/}\StringTok{ }\DecValTok{2}\NormalTok{,}
         \DataTypeTok{label =} \KeywordTok{paste0}\NormalTok{(class, }\StringTok{" "}\NormalTok{, }\KeywordTok{round}\NormalTok{(pct}\OperatorTok{*}\DecValTok{100}\NormalTok{, }\DecValTok{2}\NormalTok{), }\StringTok{"%"}\NormalTok{))}

\KeywordTok{ggplot}\NormalTok{(df, }\KeywordTok{aes}\NormalTok{(}\DataTypeTok{x =} \DecValTok{1}\NormalTok{, }\DataTypeTok{weight =}\NormalTok{ pct, }\DataTypeTok{fill =}\NormalTok{ class)) }\OperatorTok{+}
\StringTok{  }\KeywordTok{scale_fill_manual}\NormalTok{(}\DataTypeTok{values =} \KeywordTok{c}\NormalTok{(}\StringTok{"dodgerblue"}\NormalTok{, }\StringTok{"red"}\NormalTok{)) }\OperatorTok{+}
\StringTok{  }\KeywordTok{geom_bar}\NormalTok{(}\DataTypeTok{width =} \DecValTok{1}\NormalTok{, }\DataTypeTok{position =} \StringTok{"stack"}\NormalTok{) }\OperatorTok{+}
\StringTok{  }\KeywordTok{coord_polar}\NormalTok{(}\DataTypeTok{theta =} \StringTok{"y"}\NormalTok{) }\OperatorTok{+}
\StringTok{  }\KeywordTok{geom_text}\NormalTok{(}\KeywordTok{aes}\NormalTok{(}\DataTypeTok{x =} \FloatTok{1.3}\NormalTok{, }\DataTypeTok{y =}\NormalTok{ midpoint, }\DataTypeTok{label =}\NormalTok{ label)) }
\end{Highlighting}
\end{Shaded}

\includegraphics{fraud-detection-in-r_files/figure-latex/unnamed-chunk-2-1.pdf}

\begin{Shaded}
\begin{Highlighting}[]
\CommentTok{#+theme_nothing()}
\end{Highlighting}
\end{Shaded}

\hypertarget{including-plots}{%
\subsection{Including Plots}\label{including-plots}}

You can also embed plots, for example:

\includegraphics{fraud-detection-in-r_files/figure-latex/pressure-1.pdf}

Note that the \texttt{echo\ =\ FALSE} parameter was added to the code
chunk to prevent printing of the R code that generated the plot.


\end{document}
